%define major		4
%define libname		%mklibname czmq %{major}
%define develname	%mklibname czmq -d

Name:           czmq
Version:        4.2.0
Release:        %mkrel 3
Summary:        High-level C binding for 0MQ (ZeroMQ)
Group:          Development/Other
License:        MPLv2.0
URL:            http://czmq.zeromq.org/
Source0:        https://github.com/zeromq/czmq/releases/download/v%{version}/czmq-%{version}.tar.gz

# Fix
# https://github.com/zeromq/czmq/issues/2125
Patch0: czmq-4.2.0-zarmour.patch

BuildRequires:  gcc
BuildRequires:  libuuid-devel
BuildRequires:  zeromq-devel
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(systemd)
# --with-docs
BuildRequires:  perl
BuildRequires:  asciidoc
BuildRequires:  xmlto-notex

%description
CZMQ has the following goals:
  i) To wrap the ØMQ core API in semantics that are natural and lead to
     shorter, more readable applications.
 ii) To hide the differences between versions of ØMQ.
iii) To provide a space for development of more sophisticated API semantics.

%package -n	%{libname}
Summary:        High-level C binding for 0MQ (ZeroMQ)
Group:		System/Libraries

%description -n %{libname}
CZMQ has the following goals:
  i) To wrap the ØMQ core API in semantics that are natural and lead to
     shorter, more readable applications.
 ii) To hide the differences between versions of ØMQ.
iii) To provide a space for development of more sophisticated API semantics.

%package -n %{develname}
Summary:        Development files for the czmq package
Requires:       %{libname} = %{version}-%{release}
Group:		Development/C
Provides:       %{name}-devel
Provides:       lib%{name}-devel

%description -n %{develname}
This package contains files needed to develop applications using czmq.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --with-docs
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
make check

%files -n %{libname}
%doc AUTHORS NEWS
%license LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc CONTRIBUTING.md README.md
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*
%{_datadir}/zproject/


%changelog
* Mon Nov 02 2020 joequant <joequant> 4.2.0-3.mga8
+ Revision: 1641624
- fix zarmour check

* Sat Feb 15 2020 umeabot <umeabot> 4.2.0-2.mga8
+ Revision: 1525565
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 19 2019 daviddavid <daviddavid> 4.2.0-1.mga7
+ Revision: 1393356
- new version: 4.2.0

* Sun Feb 10 2019 joequant <joequant> 4.1.1-2.mga7
+ Revision: 1364865
- update provides

* Sat Feb 09 2019 joequant <joequant> 4.1.1-1.mga7
+ Revision: 1364474
- imported package czmq

